## db_online

### Use

You transfer the database instance to the ONLINE operational state.

You also use this DBM command when the database was not stopped correctly because the computer was shut down by a power outage. If the volumes of the database instance are undamaged, the system uses the information still available within the system to repeat completed transactions and roll back incomplete transactions.

If you enter a point in time in the DBM command, only the transactions completed up to that time are repeated.

You can also configure a database instance so that it starts automatically when the database computer is started.

See also:

Database Administration Tutorial, Starting and Stopping a Database Instance

Glossary, Restart

Concepts of the Database System, Automatic Start

### Prerequisites

You have the server authorization DBStart.

### Syntax

db_online [<option>]

<option> :: = -f | -s | -t | -u

Options

Option | Description
-f | -fast | The kernel variant fast is started.
-s | -slow | The kernel variant slow is started.
-t | -test | The kernel variant test is started.
[-u | -until] <date> <time> <date> ::= <yyyymmdd> <time> ::= <hhmmss> | Time (year, month, day, hour, minutes, seconds) up to which the log entries still available in the database instance are to be imported.

### Reply

OK

In the event of errors, see Reply Format.